# TODO:
# - own UID/GID
Summary:	RADIUS proxy that in addition to to usual RADIUS UDP transport, also supports TLS (RadSec)
Name:		radsecproxy
Version:	1.6.8
Release:	1
License:	GPLv2+ or BSD-like
Group:		Networking/Daemons/Radius
Source0:	http://software.uninett.no/radsecproxy/%{name}-%{version}.tar.xz
# Source0-md5:	36872d5411438fbc0da58e2f1fbbf180
Source1:	%{name}.init
Source2:	%{name}.logrotate
Patch0:		%{name}-docbook2x.patch
URL:		http://software.uninett.no/radsecproxy/
# For manual creation:
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook2X
BuildRequires:	nettle-devel
Requires:	openssl >= 1.0.0b
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts >= 0.4.3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
radsecproxy is a generic RADIUS proxy that in addition to to usual
RADIUS UDP transport, also supports TLS (RadSec). The aim is for the
proxy to have sufficient features to be flexible, while at the same
time to be small, efficient and easy to configure. Currently the
executable on Linux is only about 48 Kb, and it uses about 64 Kb
(depending on the number of peers) while running.

%package upstart
Summary:	Upstart job description for %{name}
Summary(pl.UTF-8):	Opis zadania Upstart dla %{name}
Group:		Daemons
Requires:	%{name} = %{version}-%{release}
Requires:	upstart >= 0.6

%description upstart
Upstart job description for %{name}.

%description upstart -l pl.UTF-8
Opis zadania Upstart dla %{name}.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-fticks
# Some trash comes with tar:
%{__make} clean
%{__make}
# FIXME:
mv ______radsecproxy.conf\ ____.5 radsecproxy.conf.5

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/radsecproxy.conf.d \
	$RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig,logrotate.d,init}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p radsecproxy.conf-example $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

install -p radsecproxy.conf.5 $RPM_BUILD_ROOT/%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "RADIUS secure proxy"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) %{_sysconfdir}/radsecproxy.conf
%attr(640,root,root) %config(noreplace,missingok) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(750,root,root) %dir %{_sysconfdir}/radsecproxy.conf.d
%attr(755,root,root) %{_sbindir}/radsecproxy
%attr(755,root,root) %{_bindir}/radsecproxy-conf
%attr(755,root,root) %{_bindir}/radsecproxy-hash
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*
%changelog
* Thu Jan 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/radsecproxy.git;a=log;h=master

* Thu Jan 12 2017 Paweł Gołaszewski <blues@pld-linux.org> 51362a0
- 1.6.8

* Tue May 31 2016 Adam Osuchowski <adwol@pld-linux.org> fec0203
- up to 1.6.7

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> ca6136e
- release 2 (by relup.sh)

* Mon May 18 2015 Paweł Gołaszewski <blues@pld-linux.org> 1bfc173
- rel.1

* Mon May 18 2015 Paweł Gołaszewski <blues@pld-linux.org> 1771b52
- 1.6.6 (i.e. CVE-2012-4566) rel. 0.1

* Thu Apr 23 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 97b0f48
- call automake for build

* Thu Apr 23 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 6ddfbbd
- drop all Upstart hacks

* Wed Oct 17 2012 Paweł Gołaszewski <blues@pld-linux.org> f86a694
- 1.6.1 - security update (RADSECPROXY-43)

* Mon Apr 30 2012 Paweł Gołaszewski <blues@pld-linux.org> 41f2d5c
- cleanups

* Mon Apr 30 2012 Paweł Gołaszewski <blues@pld-linux.org> f2a5299
- 1.6 - remove applied patches (fticks, visinst), update docbook2x patch

* Sat Feb 04 2012 Paweł Gołaszewski <blues@pld-linux.org> 299059c
- really create pid

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> e985cb9
- BR: nettle-devel (for fticks)

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> 60f7c37
- rel.3 - fticksVISINST support

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> 108ab00
- comment about fticks patch

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> f2a23b5
- rel.2 - works fine

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> f34dc1a
- rel. 1.9 - fticks support. More manual fixes/workarounds

* Tue Dec 20 2011 Paweł Gołaszewski <blues@pld-linux.org> 714d9de
- create manual pages

* Sun Dec 04 2011 Adam Osuchowski <adwol@pld-linux.org> dac81cf
- up to 1.5

* Sun Sep 25 2011 Elan Ruusamäe <glen@pld-linux.org> 54298ea
- update upstart deps

* Wed Nov 24 2010 Paweł Gołaszewski <blues@pld-linux.org> 80e19a8
- 1.4.2 - fix crash from debug code; openssl is detected runtime

